﻿Public Class Book
    Dim _isbn As String
    Dim _title As String
    Dim _id As Integer

    Public Price As Single

    Public Property Title() As String
        Get
            Return _title
        End Get
        Set(ByVal value As String)
            _title = value
        End Set
    End Property

    Public ReadOnly Property Isbn() As String
        Get
            Return _isbn
        End Get
    End Property

    Public WriteOnly Property Id() As String
        Set(ByVal value As String)
            _id = value
        End Set
    End Property

    Public ReadOnly Property Description() As String
        Get
            Return _title & " (ISBN:" & _isbn & ", $" & Price & ")"
        End Get
    End Property

    Sub New(ByVal isbn As String, ByVal title As String)
        _isbn = isbn
        _title = title
    End Sub
End Class
